# Class PlaylistParseCompleteEvent

#### Hierarchy

- PlaylistEvent
  - PlaylistParseCompleteEvent

#####
Index

### Constructors

constructor

### Properties

parsedPlaylist
playlistInfo
type

## Constructors

### constructor

- new PlaylistParseCompleteEvent(playlistInfo, parsedPlaylist): PlaylistParseCompleteEvent

- #### Parameters

  - playlistInfo: PlaylistInfo
  - parsedPlaylist: ParsedPlaylist

  #### Returns PlaylistParseCompleteEvent

  Overrides PlaylistEvent.constructor

## Properties

### `Readonly` parsedPlaylist

parsedPlaylist: ParsedPlaylist

### `Readonly` playlistInfo

playlistInfo: PlaylistInfo

Inherited from PlaylistEvent.playlistInfo

### `Readonly` type

type: "playlistparsecomplete" = Events.PlaylistParseComplete

Overrides PlaylistEvent.type